|  | Home | Documentation | SOAP_ENV__Header Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
SOAP_ENV__Header Struct Reference

This global attribute is used to indicate the usage of a referenced or indicated token within the containing context '_wsse__Usage' attribute definition intentionally left blank. More...

`#include <wsse.h>`

Collaboration diagram for SOAP_ENV__Header:
[legend]

## Public Attributes
int | __sizeIssuedTokens
| size of the array More...
struct wst__RequestSecurityTokenResponseCollectionType * | wst__IssuedTokens
| array of tokens More...
char * | wst__RequestType
mustUnderstand _wsse__Security * | wsse__Security

## Detailed Description

This global attribute is used to indicate the usage of a referenced or indicated token within the containing context '_wsse__Usage' attribute definition intentionally left blank.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":Nonce of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":EncodedString. '_wsse__Nonce' element definition intentionally left blank. Attribute "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":Usage of simpleType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":tUsage.

## Member Data Documentation

int SOAP_ENV__Header::__sizeIssuedTokens

size of the array

mustUnderstand _wsse__Security* SOAP_ENV__Header::wsse__Security

struct wst__RequestSecurityTokenResponseCollectionType* SOAP_ENV__Header::wst__IssuedTokens

array of tokens

char* SOAP_ENV__Header::wst__RequestType

The documentation for this struct was generated from the following files:

- wstx.h
- wsse.h